/**
***     gpsapp.hpp
***
***     Copyright (C) 2006 - 2008 SophiaCradle Incorporated.
***     All rights reserved.
***
***     ̃\[XR[h̓G[XgbvATXyhȂǂ̏Ă܂B
***     ۂ̎gpɍۂẮAKvɉďǉĂB
***
**/

#ifndef __GPSAPP_HPP
#define __GPSAPP_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(gpsapp)
class gpsapp : public SFYApplication {
    SFMSEALCOPY(gpsapp)
    private:
        SFZTitleFlatFrameSmp            _frame;
        SFZWindowSmp                    _window;
        SFZSingleEditBoxControlSmp      _editboxGPSLat;
        SFZSingleEditBoxControlSmp      _editboxGPSLon;
        SFZSingleEditBoxControlSmp      _editboxDestLat;
        SFZSingleEditBoxControlSmp      _editboxDestLon;
        SFZSingleTextLabelControlSmp    _labelLocation;
        SFZSingleTextLabelControlSmp    _labelDestination;
        SFZSingleTextLabelControlSmp    _labelDistanceLabel;
        SFZTextButtonControlSmp         _buttonGPS;
        SFZTextButtonControlSmp         _buttonCalc;
        AEEGPSInfo                      _gpsinfo;
        SFXCallback                     _callback;
        SFBPosDetSmp                    _posdet;
    public:
        static SFCInvokerPtr Factory(Void);
    private:
        explicit gpsapp(Void) static_throws;
        virtual ~gpsapp(Void);
        XANDLER_DECLARE_VOIDRESULT(OnGPSButtonControl)
        XANDLER_DECLARE_VOIDRESULT(OnCalcButtonControl)
        XALLBACK_DECLARE_SFXCALLBACK(OnGPSNotify)
};

#endif // __GPSAPP_HPP //
